QGIS Application - Bug report #1450
Adding the Attribute Table DockWidget doesn't update canvas extent
2008-12-08 07:13 AM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11510
Description

When opening the attribute table as a [[DockWidget]], the map canvas is not being refreshed, so whole contents disappears. Then if |
refresh it or zoom, it's back, but the canvas extent is not updated - it still includes the area occupied by the table now. As a result,
zoomToFullExtent hides a part of contents 'behind' the attribute table widget. | can't find what mathod should be called to update the
extents.

[[QgsMapCanvas]]::extent() returns old values
[[QgsMapCanvas]]::zoomToFullExtent() zooms to this old (too extensive) extent
[[QgsMapCanvas]]::updateFullExtent() doesn't change anything
[[QgsMapCanvas]]::adjustSize() helps, but creates artifacts

Note that if | touch the window layout, for example resize any dock or whole main window, the canvas extent becomes updated and
everything begins to work properly.

| set the 'must fix for release’, because it's just an ugly behaviour making a bad impression on users and probably something easy to fix.

Associated revisions

Revision 43bc6294 - 2009-01-03 12:59 AM - Juirgen Fischer

fix #1450

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9919 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision cb2a8b5b - 2009-01-03 12:59 AM - Jiirgen Fischer

fix #1450

git-svn-id: http://svn.osgeo.org/qgis/trunk@9919 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision a58032da - 2009-01-03 03:34 AM - Jiirgen Fischer

fix #1450 and #1382 again

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9920 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 9305a5bf - 2009-01-03 03:34 AM - Jiirgen Fischer
fix #1450 and #1382 again

git-svn-id: http://svn.osgeo.org/qgis/trunk@9920 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2009-01-02 03:59 PM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed

fixed in commit:cb2a8b5b (SVN r9920)

#2 - 2009-01-02 04:40 PM - Borys Jurgiel
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

It's only partially fixed. When opening the attribute table, the map doens't disappear anymore (thanks), but is still covered by the table. The 'Update to full
extent' button doesn't help. The map extent still contain the area covered by the table. But if you touch the window layout, the extent is immediatelly updated
and the map is zoomed out.

#3 - 2009-01-02 06:36 PM - Jiirgen Fischer

Replying to [comment:2 borysiasty]:

It's only patrtially fixed.

fixed with ?

#4 - 2009-01-02 06:42 PM - Borys Jurgiel

Yes, now is fine. Can we patch also the 1.0.x branch?

#5 - 2009-01-07 02:46 AM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to fixed

Replying to [comment:4 borysiasty]:

Yes, now is fine. Can we patch also the 1.0.x branch?

applied in

#6 - 2009-08-22 01:01 AM - Anonymous

2024-04-28 2/3


http://svn.osgeo.org/qgis/trunk@9920

Milestone Version 1.0.1 deleted
